=== debian/changelog ===
kmenc15 (0.04-1) unstable; urgency=low

  * New upstream release

 -- Oded Shimon <ods15@ods15.dyndns.org>  Mon,  4 Apr 2005 11:07:07 +0300

kmenc15 (0.03-1) unstable; urgency=low

  * New upstream release
  * Changed Makefile yet again.
  * Change debian/control, program no longer requires sox and netpbm.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  5 Feb 2005 20:43:46 +0200

kmenc15 (0.02-1) unstable; urgency=low

  * New upstream release
  * Changed Makefile again.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sun, 24 Oct 2004 02:51:51 +0200

kmenc15 (0.01g-1) unstable; urgency=low

  * New upstream release
  * Added 'AUTHORS' to dh_installdocs

 -- Oded Shimon <ods15@ods15.dyndns.org>  Tue, 19 Oct 2004 00:06:58 +0200

kmenc15 (0.01f-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Fri, 15 Oct 2004 20:35:00 +0200

kmenc15 (0.01e-2) unstable; urgency=low

  * Modified description and dependencies.
  * Updated Standards Version to 3.6.1.1

 -- Oded Shimon <ods15@ods15.dyndns.org>  Wed,  6 Oct 2004 23:40:11 +0200

kmenc15 (0.01e-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Wed,  6 Oct 2004 20:10:50 +0200

kmenc15 (0.01d-1) unstable; urgency=low

  * New upstream release

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sun,  3 Oct 2004 01:10:11 +0200

kmenc15 (0.01c-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  2 Oct 2004 02:39:51 +0200

kmenc15 (0.01b-1) unstable; urgency=low

  * New upstream release
  * Modified description a bit.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  2 Oct 2004 00:43:11 +0200

kmenc15 (0.01a-1) unstable; urgency=low

  * Initial Release. (closes: #274003)
  * This is my first Debian package.
  * Adjusted Makefile $DESTDIR and install -d.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Fri,  1 Oct 2004 21:56:59 +0200
