=== debian/control ===
Source: kmenc15
Section: contrib/kde
Priority: optional
Maintainer: Oded Shimon <ods15@ods15.dyndns.org>
Build-Depends: debhelper (>= 4.0.0), qt3-dev-tools (>= 3.3.3), kdelibs4-dev (>= 3.3.0)
Standards-Version: 3.6.1.1

Package: kmenc15
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mplayer (>= 1.0pre5), perl (>= 5.6)
Description: An advanced Qt/KDE MEncoder frontend
 Kmenc15 is an advanced MEncoder frontend, generally designed to 
 be a VirtualDub replacement for Linux. It is most useful for 
 editing and encoding large high quality AVIs capped from TV. It 
 allows cutting and merging at exact frames, applying any 
 MPlayer/MEncoder filter, with preview.
 .
 It requires MEncoder 1.0pre5 to work. I doubt it will work
 on any other OS than GNU/Linux. It needs atleast an OS that supports
 named pipes (FIFO's).
 .
 It can also create shell scripts instead of doing the encode itself, so 
 MEncoder is not essential for it to run (although preview won't work). 
 MPlayer is essential though, without it the program will not even open 
 files and cannot create shell scripts without the files.
 .
 The program is not quite complete, still a few features 
 disabled, none of which are horribly essential. It does not 
 support opening MPEG's. Only AVIs.
